%global fontname moyogo-molengo
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.10 
Release:        15%{?dist}
Summary:        A Latin typeface for documents 

License:        OFL
URL:            https://fonts.google.com/specimen/Molengo
Source0:        https://github.com/google/fonts/raw/master/ofl/molengo/Molengo-Regular.ttf
Source1:        https://raw.githubusercontent.com/google/fonts/master/ofl/molengo/OFL.txt
Source2:        https://raw.githubusercontent.com/google/fonts/master/ofl/molengo/FONTLOG.txt        
Source3:        %{name}-fontconfig.conf
Source4:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem


%description
Molengo is a Latin typeface for documents. It is multilingual and has some
features required by many minority languages such as non-spacing mark placement.
The font is produced with Fontforge. 
 
%prep
%autosetup -c -T
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} .


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE4} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc FONTLOG.txt 
%license OFL.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.10-14
- Update URL and Source links

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.10-10
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 05 2011 Parag <pnemade AT redhat DOT com> - 0.10-4
- spec cleanup 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 0.10-2
- Renamed to follow fonts package naming guidelines.

* Thu May 27 2010 Parag Nemade <pnemade AT redhat.com> - 0.10-1
- Initial Fedora release.

